## haskell-glade 0.12.1

=== demo/calc/Makefile ===

PROG  = calc
SOURCES = Calc.hs CalcModel.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/noughty/Makefile ===

PROGS  = noughty noughty-glade
SOURCES = Noughty.hs NoughtyGlade.hs

all : $(PROGS)

noughty : Noughty.hs
	$(HC_RULE)

noughty-glade : NoughtyGlade.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

=== demo/profileviewer/Makefile ===

PROG  = profileviewer
SOURCES = ProfileViewer.hs ParseProfile.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

=== demo/scaling/Makefile ===

PROG  = scaling
SOURCES = Scaling.hs
#HCFLAGS = -prof -auto-all
# use -fglasgow-exts since older ghc versions don't know about FlexibleContexts
HCFLAGS = -O3 -fglasgow-exts
#HCFLAGS = -O3 -fvia-C -optc-O3
#HCFLAGS = -O0 -keep-hc-file -keep-s-files -fvia-C

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

## haskell-glade 0.11.0

=== debian/changelog ===
haskell-glade (0.11.0-2build1) maverick; urgency=low

  * No-change rebuild against new haskell-gtk ABI

 -- Iain Lane <laney@ubuntu.com>  Tue, 05 Oct 2010 10:38:13 +0100

haskell-glade (0.11.0-2) unstable; urgency=low

  * control: Remove -prof package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 08 Jun 2010 20:10:41 -0300

haskell-glade (0.11.0-1) unstable; urgency=low

  * Initial release. (Closes: #583236)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 26 May 2010 16:32:31 -0300

=== debian/control ===
Source: haskell-glade
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
#  , ghc6-prof
  , libghc6-mtl-dev
#  , libghc6-mtl-prof
  , libghc6-glib-dev (>= 0.11)
  , libghc6-glib-dev (<< 0.12)
#  , libghc6-glib-prof
  , libghc6-cairo-dev (>= 0.11)
  , libghc6-cairo-dev (<< 0.12)
#  , libghc6-cairo-prof
  , libghc6-pango-dev (>= 0.11)
  , libghc6-pango-dev (<< 0.12)
#  , libghc6-pango-prof
  , libghc6-gtk-dev (>= 0.11)
  , libghc6-gtk-dev (<< 0.12)
#  , libghc6-gtk-prof
  , libglade2-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc6-doc
  , libghc6-mtl-doc
  , libghc6-glib-doc
  , libghc6-cairo-doc
  , libghc6-pango-doc
  , libghc6-gtk-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/glade
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-glade
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-glade

Package: libghc6-glade-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libglade2-dev
Recommends: ${haskell:Recommends}
Suggests: glade, ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the glade library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library allows to load externally stored user interfaces into
 programs. This allows alteration of the interface without recompilation of the
 program.

# Package: libghc6-glade-prof
# Architecture: any
# Depends: ${haskell:Depends}
#   , ${misc:Depends}
# Recommends: ${haskell:Recommends}
# Suggests: ${haskell:Suggests}
# Provides: ${haskell:Provides}
# Description: Binding to the glade library; profiling libraries
#  This package provides a library for the Haskell programming language,
#  compiled for profiling.
#  See http://www.haskell.org/ for more information on Haskell.
#  .
#  This library allows to load externally stored user interfaces into
#  programs. This allows alteration of the interface without recompilation of the
#  program.

Package: libghc6-glade-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the glade library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library allows to load externally stored user interfaces into
 programs. This allows alteration of the interface without recompilation of the
 program.

## haskell-glade 0.12.0

=== debian/changelog ===
haskell-glade (0.12.0-1build1) oneiric; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 11 Jun 2011 11:46:53 +0100

haskell-glade (0.12.0-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * Re-enable -prof package
  * Remove preinst script, not require with clean ghc-pkg database

 -- Joachim Breitner <nomeata@debian.org>  Wed, 30 Mar 2011 10:05:03 +0530

=== debian/control ===
Source: haskell-glade
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-cairo-dev (>= 0.12)
  , libghc-cairo-dev (<< 0.13)
  , libghc-cairo-prof
  , libghc-pango-dev (>= 0.12)
  , libghc-pango-dev (<< 0.13)
  , libghc-pango-prof
  , libghc-gtk-dev (>= 0.12)
  , libghc-gtk-dev (<< 0.13)
  , libghc-gtk-prof
  , libglade2-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-glib-doc
  , libghc-cairo-doc
  , libghc-pango-doc
  , libghc-gtk-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/glade
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-glade
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-glade

Package: libghc-glade-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libglade2-dev
Recommends: ${haskell:Recommends}
Suggests: glade, ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the glade library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library allows to load externally stored user interfaces into
 programs. This allows alteration of the interface without recompilation of the
 program.

Package: libghc-glade-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the glade library; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library allows to load externally stored user interfaces into
 programs. This allows alteration of the interface without recompilation of the
 program.

Package: libghc-glade-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the glade library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library allows to load externally stored user interfaces into
 programs. This allows alteration of the interface without recompilation of the
 program.

## haskell-glade 0.12.1

=== debian/changelog ===
haskell-glade (0.12.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Feb 2012 22:21:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,27 +8,16 @@
   , haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
-  , libghc-mtl-dev
-  , libghc-mtl-prof
   , libghc-glib-dev (>= 0.12)
   , libghc-glib-dev (<< 0.13)
   , libghc-glib-prof
-  , libghc-cairo-dev (>= 0.12)
-  , libghc-cairo-dev (<< 0.13)
-  , libghc-cairo-prof
-  , libghc-pango-dev (>= 0.12)
-  , libghc-pango-dev (<< 0.13)
-  , libghc-pango-prof
   , libghc-gtk-dev (>= 0.12)
   , libghc-gtk-dev (<< 0.13)
   , libghc-gtk-prof
   , libglade2-dev
   , gtk2hs-buildtools
 Build-Depends-Indep: ghc-doc
-  , libghc-mtl-doc
   , libghc-glib-doc
-  , libghc-cairo-doc
-  , libghc-pango-doc
   , libghc-gtk-doc
 Standards-Version: 3.8.4
 Homepage: http://hackage.haskell.org/package/glade

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|glade-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/glade \
    ([\d\.]*\d)/
